Skip to main content
GET
/
v1
/
nps
List the NPS responses of the caller company
curl --request GET \
  --url https://clientapi.woku.app/v1/nps \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "score": 5,
      "anonymous": true,
      "npsToolId": "<string>",
      "clientId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "textnote": {
        "description": "<string>",
        "anonymous": true,
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "voicemail": {
        "transcription": "<string>",
        "anonymous": true,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Query Parameters

npsToolId
string
from
string<date>

Inclusive lower bound on createdAt.

to
string<date>

Inclusive upper bound on createdAt.

withFeedback
boolean

true returns only responses with a text or voice comment.

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated NPS responses

data
object[]
total
integer
page
integer
limit
integer